/* list-spec-flags.h - player specialty flags
 *
 * Reordering these flags will break savefiles. Flags below start from 1
 * on line 11, so a flag's sequence number is its line number minus 10.
 * Going over 255 total will cause problems.
 */


/* symbol            descr */
PF(NONE, "", ""), 
PF(ARMOR_MAST,"Armor Mastery", "Increases the effects of body armor."),
PF(SHIELD_MAST,"Shield Mastery", "Improves shield AC, chance of shield deflection, and damage from shield bashes."),
PF(ARMOR_PROFICIENCY, "Armor Proficiency", "Reduces mana penalties for armor use."),
PF(EVASION, "Evasion", "Gives a good chance to avoid melee attacks and a great chance to avoid missile weapons when lightly armored."),
PF(MAGIC_RESIST, "Magic Resistance", "Improves your saving throws."),
PF(PHASEWALK, "Phasewalking", "Causes you to speed up after teleporting.  Gives resistance to hostile teleportation."),
PF(UNLIGHT, "Unlight", "Increases AC and gives damage resistance in the dark.  Gives stealth and resist darkness.  Allows you to take actions (like reading) without light.  Reduces light radius."),
PF(ARMSMAN, "Armsman", "Grants extra critical hits with melee weapons."),
PF(FAST_ATTACK, "Fast Attacking", "Gives you extra melee attacks; better when you have more attacks to begin with.  Works armed and unarmed."),
PF(MARKSMAN, "Marksman", "Grants extra critical hits in ranged combat."),
PF(PIERCE_SHOT, "Piercing Shot", "Gives your successful bow and crossbow attacks a chance of continuing to additional targets."), 
PF(MIGHTY_THROW, "Mighty Throw", "Allows you to hurl throwing weapons and other objects great distances."),
PF(POWER_STRIKE, "Power Strike", "Gives you a stronger barehanded attack."),
PF(MARTIAL_ARTS, "Martial Arts", "Gives you a powerful unarmed attack."),
PF(MANA_BURN, "Mana Burn", "Allows you to burn monster mana in melee.  Mana burned adds to melee damage."),
PF(RAPID_FIRE, "Rapid Fire", "Trades some shooting accuracy for faster shooting with a short or long bow, even faster with increasing dexterity."),
PF(BEGUILE, "Beguile", "Enhances your power to slow, sleep, confuse, or turn your enemies."),
PF(ENHANCE_MAGIC, "Enhance Magic", "Increases the effects and durations of beneficial magical effects."),
PF(FAST_CAST, "Fast Casting", "Increases spell casting speed, especially for low level spells from high level casters."),
PF(POWER_SIPHON, "Power Siphon", "Gives you mana when monsters cast spells."),
PF(HEIGHTEN_MAGIC, "Heighten Magic", "Causes spells cast in rapid succession to become increasingly powerful."),
PF(SOUL_SIPHON, "Soul Siphon", "Gives you mana when you slay monsters.  May cause damage when overloaded."),
PF(HARMONY, "Harmony", "Causes you to gain hit points when casting spells."),
PF(CHANNELING, "Channeling", "Makes your spells stronger when your mana level is high."),
PF(ATHLETICS, "Athletics", "Increases and partially sustains Dexterity and Constitution."),
PF(CLARITY, "Clarity", "Increases and partially sustains Intelligence and Wisdom."),
PF(FURY, "Fury", "Allows you to move faster after attacking or being damaged."),
PF(MEDITATION, "Meditation", "Improves mana regeneration; cumulative with other forms of regeneration."),
PF(REGENERATION, "Regeneration", "Improves hit point regeneration; cumulative with other forms of regeneration."),
PF(EXTRA_TRAP, "Extra Trap", "Allows you to set an additional monster trap, and to learn to set more advanced types of traps."),
PF(HOLY_LIGHT, "Holy Light", "Increases light radius.  Causes undead, evil, and light-sensitive creatures to take extra melee damage and makes them fear your light-based spells.  Grants resistance to light."),
PF(SWORD_SKILL, "Sword Preference", "You are slightly more skilled with swords than other melee weapons."),
PF(POLEARM_SKILL, "Polearm Preference", "You are slightly more skilled with axes and polearms than other melee weapons."),
PF(HAFTED_SKILL, "Hafted Preference", "You are slightly more skilled with blunt weapons than other melee weapons."),
PF(SLING_SKILL, "Sling Preference", "You are slightly more skilled with slings than other ranged weapons."),
PF(BOW_SKILL, "Bow Preference", "You are slightly more skilled with bows than other ranged weapons."),
PF(XBOW_SKILL, "Crossbow Preference", "You are slightly more skilled with crossbows than other ranged weapons."),
PF(SWORD_UNSKILL, "Sword Distaste", "You are slightly less skilled with swords than other melee weapons."),
PF(POLEARM_UNSKILL, "Polearm Distaste", "You are slightly less skilled with axes and polearms than other melee weapons."),
PF(HAFTED_UNSKILL, "Hafted Distaste", "You are slightly less skilled with blunt weapons than other melee weapons."),
PF(SLING_UNSKILL, "Sling Distaste", "You are slightly less skilled with slings than other ranged weapons."),
PF(BOW_UNSKILL, "Bow Distaste", "You are slightly less skilled with bows than other ranged weapons."),
PF(XBOW_UNSKILL, "Crossbow Distaste", "You are slightly less skilled with crossbows than other ranged weapons."),
PF(HARDY, "Hardy", "You recover quickly from poison and cuts, and succumb slowly to the Black Breath."),
PF(HUNGRY, "Ravenous", "You eat.  A lot."),
PF(DIVINE, "Divine Powers", "You recover very quickly from negative effects, and can move through water without being slowed."),
PF(SHADOW, "Shadow", "You are incredibly stealthy."),
PF(WOODEN, "Treeish", "Your bare hands tear through stone and you are almost impossible to detect in forests, but you are vulnerable to fire and falling."),
PF(BEARSKIN, "Shapeshifter", "You can take the form of a bear (use the ']' command)."),
PF(PLAINSMAN, "Plains Fighter", "You are more able to hit monsters while in plain regions."),
PF(ELVEN, "Elven", "You have an inborn ability to move freely through forests."),
PF(DWARVEN, "Dwarven", "You are able to move freely through rubble, and to evade attacks while in mountain regions."),
PF(EDAIN, "Forest Fighter", "You are more able to hit monsters while in forests."),
PF(BOW_SPEED_GOOD, "Fast Bow Shots", "Your shooting speed with a bow increases quickly with Dexterity."),
PF(BOW_SPEED_GREAT, "Very Fast Bow Shots", "Your shooting speed with a bow increases very quickly with Dexterity."),
PF(SLING_SPEED_GOOD, "Fast Sling Shots", "Your shooting speed with a sling increases quickly with Dexterity."),
PF(SLING_SPEED_GREAT, "Very Fast Sling Shots", "Your shooting speed with a sling increases very quickly with Dexterity."),
PF(XBOW_SPEED_GOOD, "Fast Crossbow Shots", "Your shooting speed with a crossbow increases quickly with Dexterity."),
PF(XBOW_SPEED_GREAT, "Very Fast Crossbow Shots", "Your shooting speed with a crossbow increases very quickly with Dexterity."),
PF(ASSASSINATE, "Assassinate", "You effectively assassinate unsuspecting creatures in melee and with ranged attacks."),
PF(STRONG_SHOOT, "Deadly Shot", "You do extra damage when shooting."),
PF(BACKSTAB, "Backstab", "You effectively backstab unsuspecting creatures in melee."),
PF(SPREAD_ATTACKS, "Crowd Combat [40]", "You can efficiently spread your attacks over multiple weak opponents at level 40."),
PF(STRONG_BASHES, "Strong Shield Bashing", "You are adept at fighting with your shield as well as your weapon."),
PF(UNARMED_COMBAT, "Unarmed Combat", "You are skilled in hand to hand combat, and are somewhat talented with slings."),
PF(BLESS_WEAPON, "Blessed Fighter", "You fight better with blessed weapons (Paladin). You are not comfortable with edged melee weapons, unless they have been Blessed (Priest)."),
PF(CHARM, "Charms", "You have a bonus to cause sleep, confusion, and slow."),
PF(DEVICE_EXPERT, "Magic Device Expertise", "You have a great understanding of magical devices and can recharge them very reliably."),
PF(STRONG_MAGIC, "Full Spellcaster", "You are an expert spellcaster and have a large reserve of mana."),
PF(BEAM, "Extra Spell Beaming", "Your spells are more likely to 'beam', striking multiple targets."),
PF(LORE, "Lore", "You learn quickly about monster abilities."),
PF(HOLY, "Pious", "You carry a pious authority.  You glow with an inner light at level 35 (Priest) or level 45 (Paladin)."),
PF(RELENTLESS, "Relentless [30, 40]", "You resist fear intrinsically at level 30.  You regenerate hitpoints intrinsically at level 40."),
PF(PROBE, "Monster Probing [35]", "You can learn details of monster attributes at level 35."),
PF(EVIL, "Evil", "You deal with dark forces.  Beware!"),
PF(STEAL, "Pickpocketing", "You can rob gold from living monsters."),
PF(PSEUDO_ID_HEAVY, "Detailed Object Sensing", "You obtain relatively specific pseudoidentify information."),
PF(TRAP, "Trap Setting", "You can set monster traps."),
PF(WOODSMAN, "Woodsmanship", "You are attuned to nature.  You easily move and hide in trees."),
PF(XTRA_SPECIALTY, "Specialization [1]", "You can learn an extra specialty abilty at level 1."),
